﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DemoExam
{
    partial class Agent
    {
        public string Img
        {
            get
            {
                string img = Logo;
                if (img == ""){
                    img = "/agents/picture.png";
                }
                return img;
            }
        }
        public int SalesCount
        {
            get
            {
                int count = 0;
                foreach(var sale in ProductSale)
                {
                    if(sale.SaleDate.Year >= 2021)
                    {
                        count += sale.ProductCount;
                    }
                }
                return count;
            }
        }
        public int Discount
        {
            get
            {
                decimal cost = 0;
                int discount = 0;
                foreach(var sale in ProductSale)
                {
                    cost += (sale.ProductCount + sale.Product.MinCostForAgent);
                }
                if(cost >= 10000 && cost < 50000)
                {
                    discount = 5;
                }
                else if (cost >= 50000 && cost < 150000)
                {
                    discount = 10;
                }
                else if (cost >= 150000 && cost < 500000)
                {
                    discount = 20;
                }
                else if (cost > 500000)
                {
                    discount = 25;
                }

                return discount;
            }
        }
    }
}
