﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace DemoExam
{
    /// <summary>
    /// Логика взаимодействия для windChangePriority.xaml
    /// </summary>
    public partial class windChangePriority : Window
    {
        List<Agent> agents;
        DBConnect dbConnect = new DBConnect();
        public windChangePriority(List<Agent> agents)
        {
            InitializeComponent();
            this.agents = agents;
        }

        private void btnSave_Click(object sender, RoutedEventArgs e)
        {
            if(tbNewPriority.Text.Length > 0)
            {
                foreach (Agent agent in agents)
                {
                    agent.Priority = Convert.ToInt32(tbNewPriority.Text);
                }
                try
                {
                    dbConnect.agentEntities.SaveChanges();
                    MessageBox.Show("Данные изменены");
                }
                catch
                {
                    MessageBox.Show("Не удалось внести правки");
                }
            }
            else
            {
                MessageBox.Show("Введите значение");
            }
            this.Close();
        }

        private void btnCancel_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }
    }
}
